Subject: 25.0.50; Docstring of cl-defun/defmacro are too short

From: Artur Malabarba <[email-masked]>
Date: Mon, 25 Jan 2016 08:43:13 +0000

Every time I turn to cl-defun or cl-defmacro (usually for the extra
arglist versatility), I end up asking myself “was it &key or &keys?” or
“what was the name of that really long option?”.

Naturally, I turn to `C-h f cl-defun', only to be told that it works
“Like normal ‘defun’, except ARGLIST allows full Common Lisp
conventions”. That's not very helpful for someone who's not profficient
in Common Lisp.

I think there should be a link to the relevant info node and, preferably,
a brief summary of the conventions.